Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Class AdvisorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.advisor.AdvisorException

Direct Known Subclasses:
  ElementNotFoundException

public class AdvisorException
extends ApplicationException

Base class for all exceptions thrown by `Advisor`and `Advislet` methods.``

See Also:
  `Advisor`, `Advislet`, Serialized Form

Constructor Summary
`AdvisorException(java.lang.String message)` Creates a `AdvisorException` using a given message.
`AdvisorException(java.lang.String namespace, java.lang.String message)` Deprecated. use AdvisorException(String message).
`AdvisorException(java.lang.String namespace, java.lang.String message, java.lang.Throwable cause)` Deprecated. use AdvisorException(String message, cause).
`AdvisorException(java.lang.String message, java.lang.Throwable cause)` Creates a `AdvisorException` using a given message and a nested `Throwable`.

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdvisorException

    public AdvisorException(java.lang.String message)

  Creates a `AdvisorException` using a given message.

  Parameters:
    `message` - the exception message.

### AdvisorException

    public AdvisorException(java.lang.String message,
                            java.lang.Throwable cause)

  Creates a `AdvisorException` using a given message and a nested `Throwable`.

  Parameters:
    `message` - the exception message.
    `cause` - the nested `Throwable`.

### AdvisorException

    public AdvisorException(java.lang.String namespace,
                            java.lang.String message)

  Deprecated. use AdvisorException(String message).
  Creates a `AdvisorException` using a given message and the namespace. Note: The namespace parameter is ignored.

  Parameters:
    `namespace` - the namespace.
    `message` - the exception message.

### AdvisorException

    public AdvisorException(java.lang.String namespace,
                            java.lang.String message,
                            java.lang.Throwable cause)

  Deprecated. use AdvisorException(String message, cause).
  Creates a `AdvisorException` using a given message, the namespace and a nested exception.

  Parameters:
    `namespace` - the namespace.
    `message` - the exception message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved